Bug 44400 - UI: Ruler is not Left-aligned back, when the Enhanced Language Support is Disabled
Summary: UI: Ruler is not Left-aligned back, when the Enhanced Language Support is Dis...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Rulers
  Show dependency treegraph
 
Reported: 2012-01-02 13:37 UTC by Harald Koester
Modified: 2021-06-27 04:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2012-01-02 13:37:51 UTC
Problem description: 

Steps in order to reproduce the bug:
[1] Create a new text document.
[2] Enable option "Enhanced language support for Asian languages" (Tools -> Options -> Language Settings -> Languages -> Enhanced language support -> Enabled for Asian languages).
[3] Enable Option "Right-aligned ruler" (Tools -> Options -> LibreOffice Writer -> View -> View). The ruler is on the right side of the working are and the scroll bar on the left side.
[4] Disable option "Enhanced language support for Asian languages" again. The ruler is still on the right side and the scroll bar is still on the left side. At this point I expect, that the ruler and the scroll bar change back their positions. Hence the Option "Right-aligned ruler" is no longer displayed in the "View" category of the Writer options, it is also not possible to enable this option.
              
Browser: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.25) Gecko/20111212 Firefox/3.6.25
Comment 1 Harald Koester 2012-01-02 14:25:00 UTC
See also Bug 35825:

https://bugs.freedesktop.org/show_bug.cgi?id=35825
Comment 2 bfoman (inactive) 2012-07-10 10:05:29 UTC
Confirmed with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

> [4] Disable option "Enhanced language support for Asian languages" again. The
> ruler is still on the right side and the scroll bar is still on the left side.
> At this point I expect, that the ruler and the scroll bar change back their
> positions. Hence the Option "Right-aligned ruler" is no longer displayed in the
> "View" category of the Writer options, it is also not possible to enable this
> option.

Confirmed.
Comment 3 Rafael Dominguez 2012-08-05 19:01:32 UTC
Confirmed on linux 3.5.4
Comment 4 A (Andy) 2013-04-30 21:25:42 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)
Comment 5 QA Administrators 2015-03-04 02:19:31 UTC Comment hidden (obsolete)
Comment 6 Harald Koester 2015-03-05 22:06:35 UTC
The bug still exists in version 4.4.1. Hence the Options... dialogue has been changed a bit the procedure is a bit different:

[1] Create a new text document.
[2] Enable option: Tools -> Options -> Language Settings -> Languages -> Default Languages for Documents -> Asian:. Then OK.
[3] Enable Option: Tools -> Options -> LibreOffice Writer -> View -> View -> Right aligned. Then OK. The ruler is on the right side of the working are and the scroll bar on the left side.
[4] Disable option "Tools -> Options -> Language Settings -> Languages -> Default Languages for Documents -> Asian:". Then OK. The ruler is still on the right side and the scroll bar is still on the left side. At this point I expect, that the ruler and the scroll bar change back to their primary positions. Hence the Option "Right-aligned ruler" is no longer displayed in the "View" category of the Writer options, it is also not possible to enable this option.
Comment 7 Jean-Baptiste Faure 2015-03-09 05:10:52 UTC
Still reproducible with LibreOffice 4.4.2.0.0+

Best regards. JBF
Comment 8 tommy27 2016-04-16 07:26:26 UTC Comment hidden (obsolete)
Comment 9 Jean-Baptiste Faure 2016-04-17 13:18:56 UTC
Still reproducible with current master under Ubuntu 15.10 x86-64.

Best regards. JBF
Comment 10 QA Administrators 2017-05-22 13:22:22 UTC Comment hidden (obsolete)
Comment 11 Harald Koester 2017-05-24 12:33:24 UTC
Bug still exists in version 5.3.3.
Bug still exists in version 3.3.0. Hence inherited from OOo.
Comment 12 QA Administrators 2018-06-20 02:48:39 UTC Comment hidden (obsolete)
Comment 13 Harald Koester 2018-06-20 09:35:04 UTC
Bug still exists with version 6.0.4 (64 bit, Win 10).
Comment 14 QA Administrators 2019-06-21 02:53:38 UTC Comment hidden (obsolete)
Comment 15 Harald Koester 2019-06-27 13:37:02 UTC
Bug still exists in version 6.2.4 (64 bit) with Win10.
Comment 16 QA Administrators 2021-06-27 04:19:41 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug